RDKit: RDKit::MolStandardize::Normalizer Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MolStandardize::Normalizer Class Reference

The Normalizer class for applying Normalization transforms. More...

`#include <Normalize.h>`

## Public Member Functions
| Normalizer ()
| Normalizer (const std::string normalizeFile, const unsigned int maxRestarts)
| Construct a Normalizer with a particular normalizeFile and maxRestarts.
| Normalizer (std::istream &normalizeStream, const unsigned int maxRestarts)
| Normalizer (const std::vector< std::pair< std::string, std::string > > &normalizations, const unsigned int maxRestarts)
| Construct a Normalizer with a set of data and maxRestarts.
| Normalizer (const Normalizer &other)=delete
| making Normalizer objects non-copyable
Normalizer & | operator= (Normalizer const &)=delete
| ~Normalizer ()
ROMol * | normalize (const ROMol &mol)
void | normalizeInPlace (RWMol &mol)

## Detailed Description

The Normalizer class for applying Normalization transforms.

Notes:

- This class is typically used to apply a series of Normalization transforms to correct functional groups and recombine charges.
- Each transform is repeatedly applied until no further changes occur.

Definition at line 47 of file Normalize.h.

## Constructor & Destructor Documentation

## ◆ Normalizer() [1/5]

RDKit::MolStandardize::Normalizer::Normalizer | ( |  | ) |

Referenced by Normalizer(), and operator=().

## ◆ Normalizer() [2/5]

RDKit::MolStandardize::Normalizer::Normalizer | ( | const std::string | normalizeFile,
|  | const unsigned int | maxRestarts )

Construct a Normalizer with a particular normalizeFile and maxRestarts.

## ◆ Normalizer() [3/5]

RDKit::MolStandardize::Normalizer::Normalizer | ( | std::istream & | normalizeStream,
|  | const unsigned int | maxRestarts )

Construct a Normalizer with a particular stream (with parameters) and maxRestarts

## ◆ Normalizer() [4/5]

RDKit::MolStandardize::Normalizer::Normalizer | ( | const std::vector< std::pair< std::string, std::string > > & | normalizations,
|  | const unsigned int | maxRestarts )

Construct a Normalizer with a set of data and maxRestarts.

## ◆ Normalizer() [5/5]

RDKit::MolStandardize::Normalizer::Normalizer | ( | const Normalizer & | other | ) |
| delete

making Normalizer objects non-copyable

References Normalizer().

## ◆ ~Normalizer()

RDKit::MolStandardize::Normalizer::~Normalizer | ( |  | ) |

## Member Function Documentation

## ◆ normalize()

ROMol * RDKit::MolStandardize::Normalizer::normalize | ( | const ROMol & | mol | ) |

Apply a series of Normalization transforms to correct functional groups and recombine charges.

Notes:

- A series of transforms are applied to the molecule. For each Normalization, the transform is applied repeatedly until no further changes occur.
- If any changes occurred, we go back and start from the first Normalization again, in case the changes mean an earlier transform is now applicable.
- The molecule is returned once the entire series of Normalizations cause no further changes or if max_restarts (default 200) is reached.

## ◆ normalizeInPlace()

void RDKit::MolStandardize::Normalizer::normalizeInPlace | ( | RWMol & | mol | ) |

## ◆ operator=()

Normalizer & RDKit::MolStandardize::Normalizer::operator= | ( | Normalizer const & |  | ) |
| delete

References Normalizer().

The documentation for this class was generated from the following file:

- Normalize.h